evalgate
Create evalgate auto plan
Requires scopes: reports:write
POST
/
api
/
evalgate
/
auto-plan
Create evalgate auto plan
curl --request POST \
--url https://evalgate.com/api/evalgate/auto-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objective": "<string>",
"targetPath": "<string>",
"strategyTracks": [
"<string>"
],
"targetContent": "<string>",
"iteration": 123,
"autonomyLevel": "manual",
"hypothesis": "<string>",
"forbiddenChanges": [
"<string>"
],
"workflowClass": "approval_gated_mutation",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": false,
"requiredHooks": [
"session_start"
]
}
'import requests
url = "https://evalgate.com/api/evalgate/auto-plan"
payload = {
"objective": "<string>",
"targetPath": "<string>",
"strategyTracks": ["<string>"],
"targetContent": "<string>",
"iteration": 123,
"autonomyLevel": "manual",
"hypothesis": "<string>",
"forbiddenChanges": ["<string>"],
"workflowClass": "approval_gated_mutation",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": False,
"requiredHooks": ["session_start"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objective: '<string>',
targetPath: '<string>',
strategyTracks: ['<string>'],
targetContent: '<string>',
iteration: 123,
autonomyLevel: 'manual',
hypothesis: '<string>',
forbiddenChanges: ['<string>'],
workflowClass: 'approval_gated_mutation',
approvalMode: 'human_review',
memoryMode: 'session',
backgroundExecution: false,
requiredHooks: ['session_start']
})
};
fetch('https://evalgate.com/api/evalgate/auto-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iteration": 123,
"selectedStrategyTrack": "<string>",
"proposedPatch": "<string>",
"candidate": {
"id": "<string>",
"label": "<string>",
"instruction": "<string>"
},
"reason": "cluster_exhausted",
"rankedStrategyTracks": [
{
"id": "<string>",
"description": "<string>",
"estimatedCost": "low",
"targetedFailureModes": [
"<string>"
]
}
],
"recommendedStrategyTracks": [
"<string>"
],
"workflowRecommendation": {
"recipeTitle": "<string>",
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"requiredHooks": [
"session_start"
],
"linkedFailureModes": [
"<string>"
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"source": "coverage_gap"
},
"workflowRecipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
},
"rankedStrategies": [
{
"id": "<string>",
"label": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hookCount": 123,
"expectedImpact": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
autonomyLevel
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
manual workflowClass
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
Available options:
approval_gated_mutation approvalMode
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
human_review memoryMode
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
session Available options:
false Available options:
session_start Response
Successful response
Show child attributes
Show child attributes
Available options:
cluster_exhausted Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create evalgate auto plan
